Show / Hide Table of Contents

# Class OpenIddictServerDataProtectionConstants.Properties

##### Inheritance

System.Object
OpenIddictServerDataProtectionConstants.Properties

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class Properties

### Fields

#### AccessTokenLifetime

##### Declaration

    public const string AccessTokenLifetime = ".access_token_lifetime"

##### Field Value

Type | Description
--- | ---
System.String |

#### Audiences

##### Declaration

    public const string Audiences = ".audiences"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthorizationCodeLifetime

##### Declaration

    public const string AuthorizationCodeLifetime = ".authorization_code_lifetime"

##### Field Value

Type | Description
--- | ---
System.String |

#### CodeChallenge

##### Declaration

    public const string CodeChallenge = ".code_challenge"

##### Field Value

Type | Description
--- | ---
System.String |

#### CodeChallengeMethod

##### Declaration

    public const string CodeChallengeMethod = ".code_challenge_method"

##### Field Value

Type | Description
--- | ---
System.String |

#### DataProtector

##### Declaration

    public const string DataProtector = ".data_protector"

##### Field Value

Type | Description
--- | ---
System.String |

#### DeviceCodeId

##### Declaration

    public const string DeviceCodeId = ".device_code_id"

##### Field Value

Type | Description
--- | ---
System.String |

#### DeviceCodeLifetime

##### Declaration

    public const string DeviceCodeLifetime = ".device_code_lifetime"

##### Field Value

Type | Description
--- | ---
System.String |

#### Expires

##### Declaration

    public const string Expires = ".expires"

##### Field Value

Type | Description
--- | ---
System.String |

#### IdentityTokenLifetime

##### Declaration

    public const string IdentityTokenLifetime = ".identity_token_lifetime"

##### Field Value

Type | Description
--- | ---
System.String |

#### InternalAuthorizationId

##### Declaration

    public const string InternalAuthorizationId = ".internal_authorization_id"

##### Field Value

Type | Description
--- | ---
System.String |

#### InternalTokenId

##### Declaration

    public const string InternalTokenId = ".internal_token_id"

##### Field Value

Type | Description
--- | ---
System.String |

#### Issued

##### Declaration

    public const string Issued = ".issued"

##### Field Value

Type | Description
--- | ---
System.String |

#### Nonce

##### Declaration

    public const string Nonce = ".nonce"

##### Field Value

Type | Description
--- | ---
System.String |

#### OriginalRedirectUri

##### Declaration

    public const string OriginalRedirectUri = ".original_redirect_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### Presenters

##### Declaration

    public const string Presenters = ".presenters"

##### Field Value

Type | Description
--- | ---
System.String |

#### RefreshTokenLifetime

##### Declaration

    public const string RefreshTokenLifetime = ".refresh_token_lifetime"

##### Field Value

Type | Description
--- | ---
System.String |

#### Resources

##### Declaration

    public const string Resources = ".resources"

##### Field Value

Type | Description
--- | ---
System.String |

#### Scopes

##### Declaration

    public const string Scopes = ".scopes"

##### Field Value

Type | Description
--- | ---
System.String |

#### UserCodeLifetime

##### Declaration

    public const string UserCodeLifetime = ".user_code_lifetime"

##### Field Value

Type | Description
--- | ---
System.String |